import * as z from 'zod';
export const ClaimFileGroupByResultSchema = z.array(z.object({
  id: z.number().int(),
  claimId: z.number().int(),
  filename: z.string(),
  mimeType: z.string(),
  filePath: z.string(),
  _count: z.object({
    id: z.number(),
    claimId: z.number(),
    filename: z.number(),
    mimeType: z.number(),
    filePath: z.number(),
    claim: z.number()
  }).optional(),
  _sum: z.object({
    id: z.number().nullable(),
    claimId: z.number().nullable()
  }).nullable().optional(),
  _avg: z.object({
    id: z.number().nullable(),
    claimId: z.number().nullable()
  }).nullable().optional(),
  _min: z.object({
    id: z.number().int().nullable(),
    claimId: z.number().int().nullable(),
    filename: z.string().nullable(),
    mimeType: z.string().nullable(),
    filePath: z.string().nullable()
  }).nullable().optional(),
  _max: z.object({
    id: z.number().int().nullable(),
    claimId: z.number().int().nullable(),
    filename: z.string().nullable(),
    mimeType: z.string().nullable(),
    filePath: z.string().nullable()
  }).nullable().optional()
}));